summaryrefslogtreecommitdiffstats
path: root/deps/qt5
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2018-09-22 12:56:48 +0200
committer Eric Hameleers <alien@slackware.com>2018-09-22 12:56:48 +0200
commitbb4433ddbf1c0cee32f491d93afa898a32d86376 (patch)
tree27ac7387de084d3c983f27ddff6cb4e0587f2eb4 /deps/qt5
parent7b03ad843b44e5b717adf5b2de6b00cb498c2024 (diff)
downloadktown-bb4433ddbf1c0cee32f491d93afa898a32d86376.tar.gz
ktown-bb4433ddbf1c0cee32f491d93afa898a32d86376.tar.xz
Updated and rebuilt some of the deps
OpenAL: updated cryfs: rebuilt against the new cryptopp cryptopp: updated libxkbcommon: updated qt5: updated
Diffstat (limited to 'deps/qt5')
-rw-r--r--deps/qt5/.url2
-rw-r--r--deps/qt5/patches/qt5.webengine_gcc8.patch26
-rwxr-xr-xdeps/qt5/qt5.SlackBuild12
3 files changed, 37 insertions, 3 deletions
diff --git a/deps/qt5/.url b/deps/qt5/.url
index a133eca..82f9c72 100644
--- a/deps/qt5/.url
+++ b/deps/qt5/.url
@@ -1 +1 @@
-http://download.qt.io/official_releases/qt/5.11/5.11.1/single/qt-everywhere-src-5.11.1.tar.xz
+http://download.qt.io/official_releases/qt/5.11/5.11.2/single/qt-everywhere-src-5.11.2.tar.xz
diff --git a/deps/qt5/patches/qt5.webengine_gcc8.patch b/deps/qt5/patches/qt5.webengine_gcc8.patch
new file mode 100644
index 0000000..cf276bc
--- /dev/null
+++ b/deps/qt5/patches/qt5.webengine_gcc8.patch
@@ -0,0 +1,26 @@
+# Prevent these errors caused by using GCC8
+# (original patch taken from Fedora's chromium SRPM):
+#
+# make: *** [Makefile:1028: module-qtwebengine-make_first] Error 2
+# FAILED: obj/mojo/public/c/system/system/thunks.o
+# ../../3rdparty/chromium/mojo/public/c/system/buffer.h:38:42: error: static assertion failed: int64_t has weird alignment
+# ../../3rdparty/chromium/mojo/public/c/system/data_pipe.h:49:42: error: static assertion failed: int64_t has weird alignment
+# ../../3rdparty/chromium/mojo/public/c/system/message_pipe.h:47:42: error: static assertion failed: int64_t has weird alignment
+#
+--- a/src/3rdparty/chromium/mojo/public/c/system/macros.h 2018-05-15 14:58:46.448912634 -0400
++++ b/src/3rdparty/chromium/mojo/public/c/system/macros.h 2018-05-15 14:58:52.041784613 -0400
+@@ -18,7 +18,13 @@
+ #endif
+
+ // Like the C++11 |alignof| operator.
+-#if __cplusplus >= 201103L
++#if defined(__GNUC__) && __GNUC__ >= 8
++// GCC 8 has changed the alignof operator to return the minimal alignment
++// required by the target ABI, instead of the preferred alignment.
++// This means that on 32-bit x86, it will return 4 instead of 8.
++// Use __alignof__ instead to avoid this.
++#define MOJO_ALIGNOF(type) __alignof__(type)
++#elif __cplusplus >= 201103L
+ #define MOJO_ALIGNOF(type) alignof(type)
+ #elif defined(__GNUC__)
+ #define MOJO_ALIGNOF(type) __alignof__(type)
diff --git a/deps/qt5/qt5.SlackBuild b/deps/qt5/qt5.SlackBuild
index 3348695..2f581a4 100755
--- a/deps/qt5/qt5.SlackBuild
+++ b/deps/qt5/qt5.SlackBuild
@@ -57,9 +57,13 @@
# Modifications for qt 5.9.5 2018 by Eric Hameleers, Eindhoven, NL
# Modifications for qt 5.9.6 2018 by Eric Hameleers, Eindhoven, NL
# Modifications for qt 5.11.0 2018 by Eric Hameleers, Eindhoven, NL
+# Modifications for qt 5.11.1 2018 by Eric Hameleers, Eindhoven, NL
+# Modifications for qt 5.11.2 2018 by Eric Hameleers, Eindhoven, NL
+
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=qt5
-VERSION=${VERSION:-5.11.1}
+VERSION=${VERSION:-5.11.2}
BUILD=${BUILD:-1}
PKGSRC=$(echo $VERSION |cut -d- -f1)
PKGVER=$(echo $VERSION |tr - _)
@@ -120,7 +124,6 @@ case "$ARCH" in
*) TARGET=$ARCH-slackware-linux ;;
esac
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-${PKGNAM}
@@ -155,6 +158,11 @@ cat $CWD/patches/qt5.mysql.h.diff | patch -p1 --verbose || exit 1
# cat $CWD/patches/qt5.private-includes.patch | patch -p1 --verbose || exit 1
#cd - 1>/dev/null
+# Fix compilation error in chromium caused by gcc8:
+cd qtwebengine
+ cat $CWD/patches/qt5.webengine_gcc8.patch | patch -p1 --verbose || exit 1
+cd - 1>/dev/null
+
if ! pkg-config --exists libpulse 2>/dev/null ; then
# Forcibly disable pulseaudio in qtwebengine:
cat $CWD/patches/qt5.pulseaudio.diff | patch -p1 --verbose || exit 1